Subject: bug#43502: 27.1; Gnus inconsistent keys for scoring on body?

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 19 Sep 2020 16:47:20 +0200

Allen Li <[email-masked]> writes:

> This is inconsistent with the keys for other entry types:
>
>     I a s ...
>
>     Increase, score on author, substring
>
>     I a r ...
>
>     Increase, score on author, regexp
>
> This is also inconsistent with the manual (Gnus)Summary Score Commands,
> which documents s/r for substring/regexp and not z/p

Yeah, but the matches are different, so (as I seem to vaguely recall
from the 90s when this was written), different keys had to be used.

I've now documented that in the manual along with this:

> A side effect of this is that the shortcuts raise an error for body type
> entries:
>
>     I B should be equivalent to I b s(z?) t
>
> But it errors, likely because s is not defined for I b

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no